Freeciv-3.1: /fast/freeciv/nightly/S3_1/client/gui-gtk-3.0/menu.c File Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Structures | Macros | Enumerations | Functions | Variables
menu.c File Reference
`#include <stdlib.h>`
`#include <gtk/gtk.h>`
`#include "fcintl.h"`
`#include "log.h"`
`#include "shared.h"`
`#include "support.h"`
`#include "game.h"`
`#include "government.h"`
`#include "road.h"`
`#include "unit.h"`
`#include "client_main.h"`
`#include "clinet.h"`
`#include "connectdlg_common.h"`
`#include "control.h"`
`#include "mapview_common.h"`
`#include "options.h"`
`#include "tilespec.h"`
`#include "chatline.h"`
`#include "cityrep.h"`
`#include "dialogs.h"`
`#include "editgui.h"`
`#include "editprop.h"`
`#include "finddlg.h"`
`#include "gamedlgs.h"`
`#include "gotodlg.h"`
`#include "gui_main.h"`
`#include "gui_stuff.h"`
`#include "helpdlg.h"`
`#include "luaconsole.h"`
`#include "mapctrl.h"`
`#include "messagedlg.h"`
`#include "messagewin.h"`
`#include "optiondlg.h"`
`#include "pages.h"`
`#include "plrdlg.h"`
`#include "ratesdlg.h"`
`#include "repodlgs.h"`
`#include "sprite.h"`
`#include "spaceshipdlg.h"`
`#include "transportdlg.h"`
`#include "unitselect.h"`
`#include "wldlg.h"`
`#include "menu.h"`

Go to the source code of this file.

## Data Structures

struct | menu_entry_info

## Macros

#define | GTK_STOCK_EDIT NULL
#define | CREATE_SUB_ITEM(_sub_target_, _sub_target_key_, _sub_target_name_)
#define | ADD_OLD_ACCELERATOR(wanted_action_id, accel_key, accel_mods)

## Enumerations

enum | menu_entry_grouping { MGROUP_SAFE , MGROUP_EDIT , MGROUP_PLAYING , MGROUP_UNIT , MGROUP_PLAYER , MGROUP_ALL }

## Functions

static void | menu_entry_set_active (const char *key, gboolean is_active)
static void | menu_entry_set_sensitive (const char *key, gboolean is_sensitive)
static void | menu_entry_set_visible (const char *key, gboolean is_visible, gboolean is_sensitive)
static void | view_menu_update_sensitivity (void)
static void | menu_entry_group_set_sensitive (enum menu_entry_grouping group, gboolean is_sensitive)
static void | clear_chat_logs_callback (GtkMenuItem *item, gpointer data)
static void | save_chat_logs_callback (GtkMenuItem *item, gpointer data)
static void | local_options_callback (GtkMenuItem *item, gpointer data)
static void | message_options_callback (GtkMenuItem *item, gpointer data)
static void | server_options_callback (GtkMenuItem *item, gpointer data)
static void | save_options_callback (GtkMenuItem *item, gpointer data)
static void | reload_tileset_callback (GtkMenuItem *item, gpointer data)
static void | save_game_callback (GtkMenuItem *item, gpointer data)
static void | save_game_as_callback (GtkMenuItem *item, gpointer data)
static void | save_mapimg_callback (GtkMenuItem *item, gpointer data)
static void | save_mapimg_as_callback (GtkMenuItem *item, gpointer data)
static void | find_city_callback (GtkMenuItem *item, gpointer data)
static void | worklists_callback (GtkMenuItem *item, gpointer data)
static void | client_lua_script_callback (GtkMenuItem *item, gpointer data)
static void | leave_callback (GtkMenuItem *item, gpointer data)
static void | quit_callback (GtkMenuItem *item, gpointer data)
static void | map_view_callback (GtkMenuItem *item, gpointer data)
static void | report_units_callback (GtkMenuItem *item, gpointer data)
static void | report_nations_callback (GtkMenuItem *item, gpointer data)
static void | report_cities_callback (GtkMenuItem *item, gpointer data)
static void | report_wow_callback (GtkMenuItem *item, gpointer data)
static void | report_top_cities_callback (GtkMenuItem *item, gpointer data)
static void | report_messages_callback (GtkMenuItem *item, gpointer data)
static void | report_demographic_callback (GtkMenuItem *item, gpointer data)
static void | bg_select0_callback (GtkMenuItem *item, gpointer data)
static void | bg_assign0_callback (GtkMenuItem *item, gpointer data)
static void | bg_append0_callback (GtkMenuItem *item, gpointer data)
static void | bg_select1_callback (GtkMenuItem *item, gpointer data)
static void | bg_assign1_callback (GtkMenuItem *item, gpointer data)
static void | bg_append1_callback (GtkMenuItem *item, gpointer data)
static void | bg_select2_callback (GtkMenuItem *item, gpointer data)
static void | bg_assign2_callback (GtkMenuItem *item, gpointer data)
static void | bg_append2_callback (GtkMenuItem *item, gpointer data)
static void | bg_select3_callback (GtkMenuItem *item, gpointer data)
static void | bg_assign3_callback (GtkMenuItem *item, gpointer data)
static void | bg_append3_callback (GtkMenuItem *item, gpointer data)
static void | help_overview_callback (GtkMenuItem *item, gpointer data)
static void | help_playing_callback (GtkMenuItem *item, gpointer data)
static void | help_policies_callback (GtkMenuItem *item, gpointer data)
static void | help_terrain_callback (GtkMenuItem *item, gpointer data)
static void | help_economy_callback (GtkMenuItem *item, gpointer data)
static void | help_cities_callback (GtkMenuItem *item, gpointer data)
static void | help_improvements_callback (GtkMenuItem *item, gpointer data)
static void | help_wonders_callback (GtkMenuItem *item, gpointer data)
static void | help_units_callback (GtkMenuItem *item, gpointer data)
static void | help_combat_callback (GtkMenuItem *item, gpointer data)
static void | help_zoc_callback (GtkMenuItem *item, gpointer data)
static void | help_government_callback (GtkMenuItem *item, gpointer data)
static void | help_diplomacy_callback (GtkMenuItem *item, gpointer data)
static void | help_tech_callback (GtkMenuItem *item, gpointer data)
static void | help_space_race_callback (GtkMenuItem *item, gpointer data)
static void | help_ruleset_callback (GtkMenuItem *item, gpointer data)
static void | help_tileset_callback (GtkMenuItem *item, gpointer data)
static void | help_nations_callback (GtkMenuItem *item, gpointer data)
static void | help_connecting_callback (GtkMenuItem *item, gpointer data)
static void | help_controls_callback (GtkMenuItem *item, gpointer data)
static void | help_cma_callback (GtkMenuItem *item, gpointer data)
static void | help_chatline_callback (GtkMenuItem *item, gpointer data)
static void | help_worklist_editor_callback (GtkMenuItem *item, gpointer data)
static void | help_language_callback (GtkMenuItem *item, gpointer data)
static void | help_copying_callback (GtkMenuItem *item, gpointer data)
static void | help_about_callback (GtkMenuItem *item, gpointer data)
static void | save_options_on_exit_callback (GtkCheckMenuItem *item, gpointer data)
static void | edit_mode_callback (GtkCheckMenuItem *item, gpointer data)
static void | show_city_outlines_callback (GtkCheckMenuItem *item, gpointer data)
static void | show_city_output_callback (GtkCheckMenuItem *item, gpointer data)
static void | show_map_grid_callback (GtkCheckMenuItem *item, gpointer data)
static void | show_national_borders_callback (GtkCheckMenuItem *item, gpointer data)
static void | show_native_tiles_callback (GtkCheckMenuItem *item, gpointer data)
static void | show_city_full_bar_callback (GtkCheckMenuItem *item, gpointer data)
static void | show_city_names_callback (GtkCheckMenuItem *item, gpointer data)
static void | show_city_growth_callback (GtkCheckMenuItem *item, gpointer data)
static void | show_city_productions_callback (GtkCheckMenuItem *item, gpointer data)
static void | show_city_buy_cost_callback (GtkCheckMenuItem *item, gpointer data)
static void | show_city_trade_routes_callback (GtkCheckMenuItem *item, gpointer data)
static void | show_terrain_callback (GtkCheckMenuItem *item, gpointer data)
static void | show_coastline_callback (GtkCheckMenuItem *item, gpointer data)
static void | show_road_rails_callback (GtkCheckMenuItem *item, gpointer data)
static void | show_irrigation_callback (GtkCheckMenuItem *item, gpointer data)
static void | show_mine_callback (GtkCheckMenuItem *item, gpointer data)
static void | show_bases_callback (GtkCheckMenuItem *item, gpointer data)
static void | show_resources_callback (GtkCheckMenuItem *item, gpointer data)
static void | show_huts_callback (GtkCheckMenuItem *item, gpointer data)
static void | show_pollution_callback (GtkCheckMenuItem *item, gpointer data)
static void | show_cities_callback (GtkCheckMenuItem *item, gpointer data)
static void | show_units_callback (GtkCheckMenuItem *item, gpointer data)
static void | show_unit_solid_bg_callback (GtkCheckMenuItem *item, gpointer data)
static void | show_unit_shields_callback (GtkCheckMenuItem *item, gpointer data)
static void | show_stack_size_callback (GtkCheckMenuItem *item, gpointer data)
static void | show_focus_unit_callback (GtkCheckMenuItem *item, gpointer data)
static void | show_fog_of_war_callback (GtkCheckMenuItem *item, gpointer data)
static void | full_screen_callback (GtkCheckMenuItem *item, gpointer data)
static void | recalc_borders_callback (GtkMenuItem *item, gpointer data)
static void | toggle_fog_callback (GtkMenuItem *item, gpointer data)
static void | scenario_properties_callback (GtkMenuItem *item, gpointer data)
static void | save_scenario_callback (GtkMenuItem *item, gpointer data)
static void | center_view_callback (GtkMenuItem *item, gpointer data)
static void | report_economy_callback (GtkMenuItem *item, gpointer data)
static void | report_research_callback (GtkMenuItem *item, gpointer data)
static void | multiplier_callback (GtkMenuItem *item, gpointer data)
static void | report_spaceship_callback (GtkMenuItem *item, gpointer data)
static void | report_achievements_callback (GtkMenuItem *item, gpointer data)
static void | government_callback (GtkMenuItem *item, gpointer data)
static void | tax_rate_callback (GtkMenuItem *item, gpointer data)
static void | select_single_callback (GtkMenuItem *item, gpointer data)
static void | select_all_on_tile_callback (GtkMenuItem *item, gpointer data)
static void | select_same_type_tile_callback (GtkMenuItem *item, gpointer data)
static void | select_same_type_cont_callback (GtkMenuItem *item, gpointer data)
static void | select_same_type_callback (GtkMenuItem *item, gpointer data)
static void | select_dialog_callback (GtkMenuItem *item, gpointer data)
static void | unit_wait_callback (GtkMenuItem *item, gpointer data)
static void | unit_done_callback (GtkMenuItem *item, gpointer data)
static void | unit_goto_callback (GtkMenuItem *item, gpointer data)
static void | unit_goto_city_callback (GtkMenuItem *item, gpointer data)
static void | unit_return_callback (GtkMenuItem *item, gpointer data)
static void | unit_explore_callback (GtkMenuItem *item, gpointer data)
static void | unit_patrol_callback (GtkMenuItem *item, gpointer data)
static void | unit_sentry_callback (GtkMenuItem *item, gpointer data)
static void | unit_unsentry_callback (GtkMenuItem *item, gpointer data)
static void | unit_board_callback (GtkMenuItem *item, gpointer data)
static void | unit_deboard_callback (GtkMenuItem *item, gpointer data)
static void | unit_unload_transporter_callback (GtkMenuItem *item, gpointer data)
static void | unit_homecity_callback (GtkMenuItem *item, gpointer data)
static void | unit_upgrade_callback (GtkMenuItem *item, gpointer data)
static void | unit_convert_callback (GtkMenuItem *item, gpointer data)
static void | unit_disband_callback (GtkMenuItem *item, gpointer data)
static void | build_city_callback (GtkMenuItem *item, gpointer data)
static void | auto_settle_callback (GtkMenuItem *item, gpointer data)
static void | build_road_callback (GtkMenuItem *item, gpointer data)
static void | build_irrigation_callback (GtkMenuItem *item, gpointer data)
static void | cultivate_callback (GtkMenuItem *item, gpointer data)
static void | build_mine_callback (GtkMenuItem *item, gpointer data)
static void | plant_callback (GtkMenuItem *item, gpointer data)
static void | connect_road_callback (GtkMenuItem *item, gpointer data)
static void | connect_rail_callback (GtkMenuItem *item, gpointer data)
static void | connect_maglev_callback (GtkMenuItem *item, gpointer data)
static void | connect_irrigation_callback (GtkMenuItem *item, gpointer data)
static void | transform_terrain_callback (GtkMenuItem *item, gpointer data)
static void | clean_pollution_callback (GtkMenuItem *item, gpointer data)
static void | clean_fallout_callback (GtkMenuItem *item, gpointer data)
static void | fortify_callback (GtkMenuItem *item, gpointer data)
static void | build_fortress_callback (GtkMenuItem *item, gpointer data)
static void | build_airbase_callback (GtkMenuItem *item, gpointer data)
static void | do_paradrop_callback (GtkMenuItem *item, gpointer data)
static void | do_pillage_callback (GtkMenuItem *item, gpointer data)
static void | diplomat_action_callback (GtkMenuItem *item, gpointer data)
static struct menu_entry_info * | menu_entry_info_find (const char *key)
static void | leave_local_game_response (GtkWidget *dialog, gint response)
static void | unit_goto_and_callback (GtkMenuItem *item, gpointer data)
static void | base_callback (GtkMenuItem *item, gpointer data)
static void | road_callback (GtkMenuItem *item, gpointer data)
static void | menu_entry_init (GtkBuildable *item)
static const gchar * | get_ui_filename (void)
GtkWidget * | setup_menus (GtkWidget *window)
static void | menus_rename (const char *key, const gchar *new_label)
static GtkMenu * | find_menu (const char *key)
static const char * | get_tile_change_menu_text (struct tile *ptile, enum unit_activity activity)
void | real_menus_update (void)
static void | menu_unit_goto_and_add_accel (GtkWidget *item, action_id act_id, const guint accel_key, const GdkModifierType accel_mods)
static void | menu_remove_previous_entries (GtkMenu *menu)
void | real_menus_init (void)
void | menus_free (void)

## Variables

static GtkBuilder * | ui_builder = NULL
static struct menu_entry_info | menu_entries []

## Macro Definition Documentation

## ◆ ADD_OLD_ACCELERATOR

#define ADD_OLD_ACCELERATOR | ( |  | wanted_action_id,
|  |  | accel_key,
|  |  | accel_mods
| ) |  |

Value:
if (act_id == wanted_action_id) { \
menu_unit_goto_and_add_accel(item, act_id, accel_key, accel_mods); \
}
item
Definition climisc.h:80

## ◆ CREATE_SUB_ITEM

#define CREATE_SUB_ITEM | ( |  | _sub_target_,
|  |  | _sub_target_key_,
|  |  | _sub_target_name_
| ) |  |

Value:
GtkWidget *sub_item = gtk_menu_item_new_with_label(_sub_target_name_); \
g_object_set_data(G_OBJECT(sub_item), "end_action", paction); \
g_object_set_data(G_OBJECT(sub_item), _sub_target_key_, _sub_target_); \
g_signal_connect(sub_item, "activate", \
G_CALLBACK(unit_goto_and_callback), paction); \
gtk_menu_shell_append(GTK_MENU_SHELL(sub_target_menu), sub_item); \
gtk_widget_show(sub_item);
unit_goto_and_callback
static void unit_goto_and_callback(GtkMenuItem *item, gpointer data)
Definition menu.c:1563

## ◆ GTK_STOCK_EDIT

#define GTK_STOCK_EDIT NULL

Definition at line 73 of file menu.c.

## Enumeration Type Documentation

## ◆ menu_entry_grouping

enum menu_entry_grouping

Enumerator
MGROUP_SAFE |
MGROUP_EDIT |
MGROUP_PLAYING |
MGROUP_UNIT |
MGROUP_PLAYER |
MGROUP_ALL |

Definition at line 90 of file menu.c.

## Function Documentation

## ◆ auto_settle_callback()

static void auto_settle_callback | ( | GtkMenuItem * | action,
|  | gpointer | data
| ) |  |

static

Action "AUTO_SETTLE" callback.

Definition at line 1743 of file menu.c.

## ◆ base_callback()

static void base_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

The player has chosen a base to build from the menu.

Definition at line 1980 of file menu.c.

Referenced by real_menus_init(), and real_menus_update().

## ◆ bg_append0_callback()

static void bg_append0_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "BATTLE_GROUP_APPEND_0" callback.

Definition at line 899 of file menu.c.

## ◆ bg_append1_callback()

static void bg_append1_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "BATTLE_GROUP_APPEND_1" callback.

Definition at line 923 of file menu.c.

## ◆ bg_append2_callback()

static void bg_append2_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "BATTLE_GROUP_APPEND_2" callback.

Definition at line 947 of file menu.c.

## ◆ bg_append3_callback()

static void bg_append3_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "BATTLE_GROUP_APPEND_3" callback.

Definition at line 971 of file menu.c.

## ◆ bg_assign0_callback()

static void bg_assign0_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "BATTLE_GROUP_ASSIGN_0" callback.

Definition at line 891 of file menu.c.

## ◆ bg_assign1_callback()

static void bg_assign1_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "BATTLE_GROUP_ASSIGN_1" callback.

Definition at line 915 of file menu.c.

## ◆ bg_assign2_callback()

static void bg_assign2_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "BATTLE_GROUP_ASSIGN_2" callback.

Definition at line 939 of file menu.c.

## ◆ bg_assign3_callback()

static void bg_assign3_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "BATTLE_GROUP_ASSIGN_3" callback.

Definition at line 963 of file menu.c.

## ◆ bg_select0_callback()

static void bg_select0_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "BATTLE_GROUP_SELECT_0" callback.

Definition at line 883 of file menu.c.

## ◆ bg_select1_callback()

static void bg_select1_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "BATTLE_GROUP_SELECT_1" callback.

Definition at line 907 of file menu.c.

## ◆ bg_select2_callback()

static void bg_select2_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "BATTLE_GROUP_SELECT_2" callback.

Definition at line 931 of file menu.c.

## ◆ bg_select3_callback()

static void bg_select3_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "BATTLE_GROUP_SELECT_3" callback.

Definition at line 955 of file menu.c.

## ◆ build_airbase_callback()

static void build_airbase_callback | ( | GtkMenuItem * | action,
|  | gpointer | data
| ) |  |

static

Action "BUILD_AIRBASE" callback.

Definition at line 1924 of file menu.c.

## ◆ build_city_callback()

static void build_city_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "BUILD_CITY" callback.

Definition at line 1724 of file menu.c.

## ◆ build_fortress_callback()

static void build_fortress_callback | ( | GtkMenuItem * | action,
|  | gpointer | data
| ) |  |

static

Action "BUILD_FORTRESS" callback.

Definition at line 1906 of file menu.c.

## ◆ build_irrigation_callback()

static void build_irrigation_callback | ( | GtkMenuItem * | action,
|  | gpointer | data
| ) |  |

static

Action "BUILD_IRRIGATION" callback.

Definition at line 1777 of file menu.c.

## ◆ build_mine_callback()

static void build_mine_callback | ( | GtkMenuItem * | action,
|  | gpointer | data
| ) |  |

static

Action "BUILD_MINE" callback.

Definition at line 1793 of file menu.c.

## ◆ build_road_callback()

static void build_road_callback | ( | GtkMenuItem * | action,
|  | gpointer | data
| ) |  |

static

Action "BUILD_ROAD" callback.

Definition at line 1751 of file menu.c.

## ◆ center_view_callback()

static void center_view_callback | ( | GtkMenuItem * | action,
|  | gpointer | data
| ) |  |

static

Action "CENTER_VIEW" callback.

Definition at line 2005 of file menu.c.

## ◆ clean_fallout_callback()

static void clean_fallout_callback | ( | GtkMenuItem * | action,
|  | gpointer | data
| ) |  |

static

Action "CLEAN_FALLOUT" callback.

Definition at line 1898 of file menu.c.

## ◆ clean_pollution_callback()

static void clean_pollution_callback | ( | GtkMenuItem * | action,
|  | gpointer | data
| ) |  |

static

Action "CLEAN_POLLUTION" callback.

Definition at line 1881 of file menu.c.

## ◆ clear_chat_logs_callback()

static void clear_chat_logs_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "CLEAR_CHAT_LOGS" callback.

Definition at line 615 of file menu.c.

## ◆ client_lua_script_callback()

static void client_lua_script_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "CLIENT_LUA_SCRIPT" callback.

Definition at line 803 of file menu.c.

## ◆ connect_irrigation_callback()

static void connect_irrigation_callback | ( | GtkMenuItem * | action,
|  | gpointer | data
| ) |  |

static

Action "CONNECT_IRRIGATION" callback.

Definition at line 1857 of file menu.c.

## ◆ connect_maglev_callback()

static void connect_maglev_callback | ( | GtkMenuItem * | action,
|  | gpointer | data
| ) |  |

static

Action "CONNECT_MAGLEV" callback.

Definition at line 1841 of file menu.c.

## ◆ connect_rail_callback()

static void connect_rail_callback | ( | GtkMenuItem * | action,
|  | gpointer | data
| ) |  |

static

Action "CONNECT_RAIL" callback.

Definition at line 1825 of file menu.c.

## ◆ connect_road_callback()

static void connect_road_callback | ( | GtkMenuItem * | action,
|  | gpointer | data
| ) |  |

static

Action "CONNECT_ROAD" callback.

Definition at line 1809 of file menu.c.

## ◆ cultivate_callback()

static void cultivate_callback | ( | GtkMenuItem * | action,
|  | gpointer | data
| ) |  |

static

Action "CULTIVATE" callback.

Definition at line 1785 of file menu.c.

## ◆ diplomat_action_callback()

static void diplomat_action_callback | ( | GtkMenuItem * | action,
|  | gpointer | data
| ) |  |

static

Action "DIPLOMAT_ACTION" callback.

Definition at line 1948 of file menu.c.

## ◆ do_paradrop_callback()

static void do_paradrop_callback | ( | GtkMenuItem * | action,
|  | gpointer | data
| ) |  |

static

Action "DO_PARADROP" callback.

Definition at line 1932 of file menu.c.

## ◆ do_pillage_callback()

static void do_pillage_callback | ( | GtkMenuItem * | action,
|  | gpointer | data
| ) |  |

static

Action "DO_PILLAGE" callback.

Definition at line 1940 of file menu.c.

## ◆ edit_mode_callback()

static void edit_mode_callback | ( | GtkCheckMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "EDIT_MODE" callback.

Definition at line 1140 of file menu.c.

## ◆ find_city_callback()

static void find_city_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "FIND_CITY" callback.

Definition at line 747 of file menu.c.

## ◆ find_menu()

static GtkMenu * find_menu | ( | const char * | key | ) |

static

Find the child menu of an action.

Definition at line 2262 of file menu.c.

Referenced by real_menus_init(), and real_menus_update().

## ◆ fortify_callback()

static void fortify_callback | ( | GtkMenuItem * | action,
|  | gpointer | data
| ) |  |

static

Action "FORTIFY" callback.

Definition at line 1914 of file menu.c.

## ◆ full_screen_callback()

static void full_screen_callback | ( | GtkCheckMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "FULL_SCREEN" callback.

Definition at line 1443 of file menu.c.

## ◆ get_tile_change_menu_text()

static const char * get_tile_change_menu_text | ( | struct tile * | ptile,
|  | enum unit_activity | activity
| ) |  |

static

Return the text for the tile, changed by the activity.

Should only be called for irrigation, mining, or transformation, and only when the activity changes the base terrain type.

Definition at line 2302 of file menu.c.

Referenced by mr_menu::menus_sensitive(), and real_menus_update().

## ◆ get_ui_filename()

static const gchar * get_ui_filename | ( | void |  | ) |

static

Returns the name of the file readable by the GtkUIManager.

Definition at line 2095 of file menu.c.

Referenced by setup_menus().

## ◆ government_callback()

static void government_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

The player has chosen a government from the menu.

Definition at line 1972 of file menu.c.

Referenced by real_menus_init(), and real_menus_update().

## ◆ help_about_callback()

static void help_about_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "HELP_ABOUT" callback.

Definition at line 1123 of file menu.c.

## ◆ help_chatline_callback()

static void help_chatline_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "HELP_CHATLINE" callback.

Definition at line 859 of file menu.c.

## ◆ help_cities_callback()

static void help_cities_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "HELP_CITIES" callback.

Definition at line 1019 of file menu.c.

## ◆ help_cma_callback()

static void help_cma_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "HELP_CMA" callback.

Definition at line 875 of file menu.c.

## ◆ help_combat_callback()

static void help_combat_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "HELP_COMBAT" callback.

Definition at line 1043 of file menu.c.

## ◆ help_connecting_callback()

static void help_connecting_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "HELP_CONNECTING" callback.

Definition at line 843 of file menu.c.

## ◆ help_controls_callback()

static void help_controls_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "HELP_CONTROLS" callback.

Definition at line 851 of file menu.c.

## ◆ help_copying_callback()

static void help_copying_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "HELP_COPYING" callback.

Definition at line 1115 of file menu.c.

## ◆ help_diplomacy_callback()

static void help_diplomacy_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "HELP_DIPLOMACY" callback.

Definition at line 1091 of file menu.c.

## ◆ help_economy_callback()

static void help_economy_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "HELP_ECONOMY" callback.

Definition at line 1011 of file menu.c.

## ◆ help_government_callback()

static void help_government_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "HELP_GOVERNMENT" callback.

Definition at line 1083 of file menu.c.

## ◆ help_improvements_callback()

static void help_improvements_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "HELP_IMPROVEMENTS" callback.

Definition at line 1027 of file menu.c.

## ◆ help_language_callback()

static void help_language_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "HELP_LANGUAGE" callback.

Definition at line 827 of file menu.c.

## ◆ help_nations_callback()

static void help_nations_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "HELP_NATIONS" callback.

Definition at line 1107 of file menu.c.

## ◆ help_overview_callback()

static void help_overview_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "HELP_OVERVIEW" callback.

Definition at line 979 of file menu.c.

## ◆ help_playing_callback()

static void help_playing_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "HELP_PLAYING" callback.

Definition at line 987 of file menu.c.

## ◆ help_policies_callback()

static void help_policies_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "HELP_POLICIES" callback.

Definition at line 835 of file menu.c.

## ◆ help_ruleset_callback()

static void help_ruleset_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "HELP_RULESET" callback.

Definition at line 995 of file menu.c.

## ◆ help_space_race_callback()

static void help_space_race_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "HELP_SPACE_RACE" callback.

Definition at line 1099 of file menu.c.

## ◆ help_tech_callback()

static void help_tech_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "HELP_TECH" callback.

Definition at line 1059 of file menu.c.

## ◆ help_terrain_callback()

static void help_terrain_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "HELP_TERRAIN" callback.

Definition at line 1067 of file menu.c.

## ◆ help_tileset_callback()

static void help_tileset_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "HELP_TILESET" callback.

Definition at line 1003 of file menu.c.

## ◆ help_units_callback()

static void help_units_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "HELP_UNITS" callback.

Definition at line 1035 of file menu.c.

## ◆ help_wonders_callback()

static void help_wonders_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "HELP_WONDERS" callback.

Definition at line 1075 of file menu.c.

## ◆ help_worklist_editor_callback()

static void help_worklist_editor_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "HELP_WORKLIST_EDITOR" callback.

Definition at line 867 of file menu.c.

## ◆ help_zoc_callback()

static void help_zoc_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "HELP_ZOC" callback.

Definition at line 1051 of file menu.c.

## ◆ leave_callback()

static void leave_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "LEAVE" callback.

Definition at line 719 of file menu.c.

## ◆ leave_local_game_response()

static void leave_local_game_response | ( | GtkWidget * | dialog,
|  | gint | response
| ) |  |

static

This is the response callback for the dialog with the message: Leaving a local game will end it!

Definition at line 704 of file menu.c.

Referenced by leave_callback(), and leave_callback().

## ◆ local_options_callback()

static void local_options_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "LOCAL_OPTIONS" callback.

Definition at line 631 of file menu.c.

## ◆ map_view_callback()

static void map_view_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "MAP_VIEW" callback.

Definition at line 763 of file menu.c.

## ◆ menu_entry_group_set_sensitive()

static void menu_entry_group_set_sensitive | ( | enum menu_entry_grouping | group,
|  | gboolean | is_sensitive
| ) |  |

static

Set sensitivity of all entries in the group.

Definition at line 2217 of file menu.c.

Referenced by menus_disable_unit_commands(), real_menus_init(), and real_menus_update().

## ◆ menu_entry_info_find()

static struct menu_entry_info * menu_entry_info_find | ( | const char * | key | ) |

static

Find menu entry construction data

Definition at line 2175 of file menu.c.

Referenced by create_toggle_menu_item_for_key(), menu_entry_init(), menu_entry_init(), menu_entry_set_sensitive(), menus_rename(), menus_set_initial_toggle_values(), and real_menus_update().

## ◆ menu_entry_init()

static void menu_entry_init | ( | GtkBuildable * | item | ) |

static

Set name of the menu item.

Definition at line 2055 of file menu.c.

Referenced by real_menus_update(), setup_menus(), and setup_menus().

## ◆ menu_entry_set_active()

static void menu_entry_set_active | ( | const char * | key,
|  | gboolean | is_active
| ) |  |

static

Sets an menu entry sensitive.

Definition at line 2191 of file menu.c.

Referenced by real_menus_init(), and real_menus_update().

## ◆ menu_entry_set_sensitive()

static void menu_entry_set_sensitive | ( | const char * | key,
|  | gboolean | is_sensitive
| ) |  |

static

Sets sensitivity of an menu entry.

Definition at line 2204 of file menu.c.

Referenced by menu_entry_group_set_sensitive(), real_menus_init(), real_menus_update(), view_menu_update_sensitivity(), and view_menu_update_sensitivity().

## ◆ menu_entry_set_visible()

static void menu_entry_set_visible | ( | const char * | key,
|  | gboolean | is_visible,
|  | gboolean | is_sensitive
| ) |  |

static

Sets an action visible.

Definition at line 2233 of file menu.c.

Referenced by setup_menus().

## ◆ menu_remove_previous_entries()

static void menu_remove_previous_entries | ( | GtkMenu * | menu | ) |

static

Recursively remove previous entries in a menu and its sub menus.

Definition at line 2816 of file menu.c.

Referenced by menu_remove_previous_entries(), and real_menus_init().

## ◆ menu_unit_goto_and_add_accel()

static void menu_unit_goto_and_add_accel | ( | GtkWidget * | item,
|  | action_id | act_id,
|  | const guint | accel_key,
|  | const GdkModifierType | accel_mods
| ) |  |

static

Add an accelerator to an item in the "Go to and..." menu.

Definition at line 2792 of file menu.c.

## ◆ menus_free()

void menus_free | ( | void |  | ) |

Definition at line 3138 of file menu.c.

Referenced by ui_main().

## ◆ menus_rename()

static void menus_rename | ( | const char * | key,
|  | const gchar * | new_label
| ) |  |

static

Renames an action.

Definition at line 2249 of file menu.c.

Referenced by real_menus_init(), and real_menus_update().

## ◆ message_options_callback()

static void message_options_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "MESSAGE_OPTIONS" callback.

Definition at line 639 of file menu.c.

## ◆ multiplier_callback()

static void multiplier_callback | ( | GtkMenuItem * | action,
|  | gpointer | data
| ) |  |

static

Action "MULTIPLIERS" callback.

Definition at line 1964 of file menu.c.

## ◆ plant_callback()

static void plant_callback | ( | GtkMenuItem * | action,
|  | gpointer | data
| ) |  |

static

Action "PLANT" callback.

Definition at line 1801 of file menu.c.

## ◆ quit_callback()

static void quit_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "QUIT" callback.

Definition at line 739 of file menu.c.

## ◆ real_menus_init()

void real_menus_init | ( | void |  | ) |

Initialize menus (sensitivity, name, etc.) based on the current state and current ruleset, etc. Call menus_update().

Definition at line 2836 of file menu.c.

Referenced by fc_shortcuts_dialog::apply_option(), and menus_update_callback().

## ◆ real_menus_update()

void real_menus_update | ( | void |  | ) |

Updates the menus.

Definition at line 2317 of file menu.c.

Referenced by il_lost_focus(), menus_update_callback(), setup_menus(), and fc_client::update_info_label().

## ◆ recalc_borders_callback()

static void recalc_borders_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "RECALC_BORDERS" callback.

Definition at line 1455 of file menu.c.

## ◆ reload_tileset_callback()

static void reload_tileset_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "RELOAD_TILESET" callback.

Definition at line 663 of file menu.c.

## ◆ report_achievements_callback()

static void report_achievements_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "REPORT_ACHIEVEMENTS" callback.

Definition at line 819 of file menu.c.

## ◆ report_cities_callback()

static void report_cities_callback | ( | GtkMenuItem * | action,
|  | gpointer | data
| ) |  |

static

Action "REPORT_CITIES" callback.

Definition at line 2021 of file menu.c.

## ◆ report_demographic_callback()

static void report_demographic_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "REPORT_DEMOGRAPHIC" callback.

Definition at line 811 of file menu.c.

## ◆ report_economy_callback()

static void report_economy_callback | ( | GtkMenuItem * | action,
|  | gpointer | data
| ) |  |

static

Action "REPORT_ECONOMY" callback.

Definition at line 2029 of file menu.c.

## ◆ report_messages_callback()

static void report_messages_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "REPORT_MESSAGES" callback.

Definition at line 795 of file menu.c.

## ◆ report_nations_callback()

static void report_nations_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "REPORT_NATIONS" callback.

Definition at line 771 of file menu.c.

## ◆ report_research_callback()

static void report_research_callback | ( | GtkMenuItem * | action,
|  | gpointer | data
| ) |  |

static

Action "REPORT_RESEARCH" callback.

Definition at line 2037 of file menu.c.

## ◆ report_spaceship_callback()

static void report_spaceship_callback | ( | GtkMenuItem * | action,
|  | gpointer | data
| ) |  |

static

Action "REPORT_SPACESHIP" callback.

Definition at line 2045 of file menu.c.

## ◆ report_top_cities_callback()

static void report_top_cities_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "REPORT_TOP_CITIES" callback.

Definition at line 787 of file menu.c.

## ◆ report_units_callback()

static void report_units_callback | ( | GtkMenuItem * | action,
|  | gpointer | data
| ) |  |

static

Action "REPORT_UNITS" callback.

Definition at line 2013 of file menu.c.

## ◆ report_wow_callback()

static void report_wow_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "REPORT_WOW" callback.

Definition at line 779 of file menu.c.

## ◆ road_callback()

static void road_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

The player has chosen a road to build from the menu.

Definition at line 1992 of file menu.c.

Referenced by real_menus_init(), and real_menus_update().

## ◆ save_chat_logs_callback()

static void save_chat_logs_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "SAVE_CHAT_LOGS" callback.

Definition at line 623 of file menu.c.

## ◆ save_game_as_callback()

static void save_game_as_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "SAVE_GAME_AS" callback.

Definition at line 679 of file menu.c.

## ◆ save_game_callback()

static void save_game_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "SAVE_GAME" callback.

Definition at line 671 of file menu.c.

## ◆ save_mapimg_as_callback()

static void save_mapimg_as_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "SAVE_MAPIMG_AS" callback.

Definition at line 695 of file menu.c.

## ◆ save_mapimg_callback()

static void save_mapimg_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "SAVE_MAPIMG" callback.

Definition at line 687 of file menu.c.

## ◆ save_options_callback()

static void save_options_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "SAVE_OPTIONS" callback.

Definition at line 655 of file menu.c.

## ◆ save_options_on_exit_callback()

static void save_options_on_exit_callback | ( | GtkCheckMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "SAVE_OPTIONS_ON_EXIT" callback.

Definition at line 1131 of file menu.c.

## ◆ save_scenario_callback()

static void save_scenario_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "SAVE_SCENARIO" callback.

Definition at line 1483 of file menu.c.

## ◆ scenario_properties_callback()

static void scenario_properties_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "SCENARIO_PROPERTIES" callback.

Definition at line 1471 of file menu.c.

## ◆ select_all_on_tile_callback()

static void select_all_on_tile_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "SELECT_ALL_ON_TILE" callback.

Definition at line 1499 of file menu.c.

## ◆ select_dialog_callback()

static void select_dialog_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Open unit selection dialog.

Definition at line 1531 of file menu.c.

## ◆ select_same_type_callback()

static void select_same_type_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "SELECT_SAME_TYPE" callback.

Definition at line 1523 of file menu.c.

## ◆ select_same_type_cont_callback()

static void select_same_type_cont_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "SELECT_SAME_TYPE_CONT" callback.

Definition at line 1515 of file menu.c.

## ◆ select_same_type_tile_callback()

static void select_same_type_tile_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "SELECT_SAME_TYPE_TILE" callback.

Definition at line 1507 of file menu.c.

## ◆ select_single_callback()

static void select_single_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "SELECT_SINGLE" callback.

Definition at line 1491 of file menu.c.

## ◆ server_options_callback()

static void server_options_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "SERVER_OPTIONS" callback.

Definition at line 647 of file menu.c.

## ◆ setup_menus()

GtkWidget * setup_menus | ( | GtkWidget * | window | ) |

Creates the menu bar.

Definition at line 2115 of file menu.c.

Referenced by enable_menus().

## ◆ show_bases_callback()

static void show_bases_callback | ( | GtkCheckMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "SHOW_BASES" callback.

Definition at line 1327 of file menu.c.

## ◆ show_cities_callback()

static void show_cities_callback | ( | GtkCheckMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "SHOW_CITIES" callback.

Definition at line 1367 of file menu.c.

## ◆ show_city_buy_cost_callback()

static void show_city_buy_cost_callback | ( | GtkCheckMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "SHOW_CITY_BUY_COST" callback.

Definition at line 1254 of file menu.c.

## ◆ show_city_full_bar_callback()

static void show_city_full_bar_callback | ( | GtkCheckMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "SHOW_CITY_FULL_BAR" callback.

Definition at line 1207 of file menu.c.

## ◆ show_city_growth_callback()

static void show_city_growth_callback | ( | GtkCheckMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "SHOW_CITY_GROWTH" callback.

Definition at line 1231 of file menu.c.

## ◆ show_city_names_callback()

static void show_city_names_callback | ( | GtkCheckMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "SHOW_CITY_NAMES" callback.

Definition at line 1219 of file menu.c.

## ◆ show_city_outlines_callback()

static void show_city_outlines_callback | ( | GtkCheckMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "SHOW_CITY_OUTLINES" callback.

Definition at line 1152 of file menu.c.

## ◆ show_city_output_callback()

static void show_city_output_callback | ( | GtkCheckMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "SHOW_CITY_OUTPUT" callback.

Definition at line 1163 of file menu.c.

## ◆ show_city_productions_callback()

static void show_city_productions_callback | ( | GtkCheckMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "SHOW_CITY_PRODUCTIONS" callback.

Definition at line 1242 of file menu.c.

## ◆ show_city_trade_routes_callback()

static void show_city_trade_routes_callback | ( | GtkCheckMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "SHOW_CITY_TRADE_ROUTES" callback.

Definition at line 1265 of file menu.c.

## ◆ show_coastline_callback()

static void show_coastline_callback | ( | GtkCheckMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "SHOW_COASTLINE" callback.

Definition at line 1287 of file menu.c.

## ◆ show_focus_unit_callback()

static void show_focus_unit_callback | ( | GtkCheckMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "SHOW_FOCUS_UNIT" callback.

Definition at line 1421 of file menu.c.

## ◆ show_fog_of_war_callback()

static void show_fog_of_war_callback | ( | GtkCheckMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "SHOW_FOG_OF_WAR" callback.

Definition at line 1432 of file menu.c.

## ◆ show_huts_callback()

static void show_huts_callback | ( | GtkCheckMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "SHOW_HUTS" callback.

Definition at line 1347 of file menu.c.

## ◆ show_irrigation_callback()

static void show_irrigation_callback | ( | GtkCheckMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "SHOW_IRRIGATION" callback.

Definition at line 1307 of file menu.c.

## ◆ show_map_grid_callback()

static void show_map_grid_callback | ( | GtkCheckMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "SHOW_MAP_GRID" callback.

Definition at line 1174 of file menu.c.

## ◆ show_mine_callback()

static void show_mine_callback | ( | GtkCheckMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "SHOW_MINE" callback.

Definition at line 1317 of file menu.c.

## ◆ show_national_borders_callback()

static void show_national_borders_callback | ( | GtkCheckMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "SHOW_NATIONAL_BORDERS" callback.

Definition at line 1185 of file menu.c.

## ◆ show_native_tiles_callback()

static void show_native_tiles_callback | ( | GtkCheckMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "SHOW_NATIVE_TILES" callback.

Definition at line 1196 of file menu.c.

## ◆ show_pollution_callback()

static void show_pollution_callback | ( | GtkCheckMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "SHOW_POLLUTION" callback.

Definition at line 1357 of file menu.c.

## ◆ show_resources_callback()

static void show_resources_callback | ( | GtkCheckMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "SHOW_RESOURCES" callback.

Definition at line 1337 of file menu.c.

## ◆ show_road_rails_callback()

static void show_road_rails_callback | ( | GtkCheckMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "SHOW_ROAD_RAILS" callback.

Definition at line 1297 of file menu.c.

## ◆ show_stack_size_callback()

static void show_stack_size_callback | ( | GtkCheckMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "SHOW_STACK_SIZE" callback.

Definition at line 1410 of file menu.c.

## ◆ show_terrain_callback()

static void show_terrain_callback | ( | GtkCheckMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "SHOW_TERRAIN" callback.

Definition at line 1276 of file menu.c.

## ◆ show_unit_shields_callback()

static void show_unit_shields_callback | ( | GtkCheckMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "SHOW_UNIT_SHIELDS" callback.

Definition at line 1399 of file menu.c.

## ◆ show_unit_solid_bg_callback()

static void show_unit_solid_bg_callback | ( | GtkCheckMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "SHOW_UNIT_SOLID_BG" callback.

Definition at line 1388 of file menu.c.

## ◆ show_units_callback()

static void show_units_callback | ( | GtkCheckMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "SHOW_UNITS" callback.

Definition at line 1377 of file menu.c.

## ◆ tax_rate_callback()

static void tax_rate_callback | ( | GtkMenuItem * | action,
|  | gpointer | data
| ) |  |

static

Action "TAX_RATE" callback.

Definition at line 1956 of file menu.c.

## ◆ toggle_fog_callback()

static void toggle_fog_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "TOGGLE_FOG" callback.

Definition at line 1463 of file menu.c.

## ◆ transform_terrain_callback()

static void transform_terrain_callback | ( | GtkMenuItem * | action,
|  | gpointer | data
| ) |  |

static

Action "TRANSFORM_TERRAIN" callback.

Definition at line 1873 of file menu.c.

## ◆ unit_board_callback()

static void unit_board_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "UNIT_BOARD" callback.

Definition at line 1663 of file menu.c.

## ◆ unit_convert_callback()

static void unit_convert_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "UNIT_CONVERT" callback.

Definition at line 1708 of file menu.c.

## ◆ unit_deboard_callback()

static void unit_deboard_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "UNIT_DEBOARD" callback.

Definition at line 1673 of file menu.c.

## ◆ unit_disband_callback()

static void unit_disband_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "UNIT_DISBAND" callback.

Definition at line 1716 of file menu.c.

## ◆ unit_done_callback()

static void unit_done_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "UNIT_DONE" callback.

Definition at line 1547 of file menu.c.

## ◆ unit_explore_callback()

static void unit_explore_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "UNIT_EXPLORE" callback.

Definition at line 1631 of file menu.c.

## ◆ unit_goto_and_callback()

static void unit_goto_and_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Activate the goto system with an action to perform once there.

Definition at line 1563 of file menu.c.

Referenced by real_menus_init(), and real_menus_update().

## ◆ unit_goto_callback()

static void unit_goto_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "UNIT_GOTO" callback.

Definition at line 1555 of file menu.c.

## ◆ unit_goto_city_callback()

static void unit_goto_city_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "UNIT_GOTO_CITY" callback.

Definition at line 1611 of file menu.c.

## ◆ unit_homecity_callback()

static void unit_homecity_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "UNIT_HOMECITY" callback.

Definition at line 1692 of file menu.c.

## ◆ unit_patrol_callback()

static void unit_patrol_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "UNIT_PATROL" callback.

Definition at line 1639 of file menu.c.

## ◆ unit_return_callback()

static void unit_return_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "UNIT_RETURN" callback.

Definition at line 1621 of file menu.c.

## ◆ unit_sentry_callback()

static void unit_sentry_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "UNIT_SENTRY" callback.

Definition at line 1647 of file menu.c.

## ◆ unit_unload_transporter_callback()

static void unit_unload_transporter_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "UNIT_UNLOAD_TRANSPORTER" callback.

Definition at line 1683 of file menu.c.

## ◆ unit_unsentry_callback()

static void unit_unsentry_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "UNIT_UNSENTRY" callback.

Definition at line 1655 of file menu.c.

## ◆ unit_upgrade_callback()

static void unit_upgrade_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "UNIT_UPGRADE" callback.

Definition at line 1700 of file menu.c.

## ◆ unit_wait_callback()

static void unit_wait_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "UNIT_WAIT" callback.

Definition at line 1539 of file menu.c.

## ◆ view_menu_update_sensitivity()

static void view_menu_update_sensitivity | ( | void |  | ) |

static

Update the sensitivity of the items in the view menu.

Definition at line 2270 of file menu.c.

Referenced by real_menus_init(), show_city_full_bar_callback(), show_city_names_callback(), show_city_productions_callback(), show_focus_unit_callback(), show_fog_of_war_callback(), show_terrain_callback(), show_units_callback(), and view_menu_item_toggle().

## ◆ worklists_callback()

static void worklists_callback | ( | GtkMenuItem * | item,
|  | gpointer | data
| ) |  |

static

Item "WORKLISTS" callback.

Definition at line 755 of file menu.c.

## Variable Documentation

## ◆ menu_entries

struct menu_entry_info menu_entries[]

static

Definition at line 264 of file menu.c.

Referenced by menu_entry_group_set_sensitive(), menu_entry_group_set_sensitive(), menu_entry_info_find(), and setup_app_actions().

## ◆ ui_builder

GtkBuilder* ui_builder = NULL

static

Definition at line 76 of file menu.c.

Referenced by find_menu(), menu_entry_set_active(), menu_entry_set_sensitive(), menu_entry_set_visible(), menus_free(), menus_rename(), real_menus_init(), real_menus_update(), and setup_menus().